## AgsOpenFile

AgsOpenFile — open file task

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsOpenFile * | ags_open_file_new ()

## Properties

AgsAudio * | audio | Read / Write
gboolean | create-channels | Read / Write
gpointer | filename | Read / Write
gboolean | overwrite-channels | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsOpenFile

## Includes

    #include <ags/audio/task/ags_open_file.h>

## Description

The AgsOpenFile task opens files.

## Functions

### ags_open_file_new ()

    AgsOpenFile *
    ags_open_file_new (AgsAudio *audio,
                       GSList *filename,
                       gboolean overwrite_channels,
                       gboolean create_channels);

Create a new instance of AgsOpenFile.

#### Parameters

audio | the AgsAudio |
filename | the filename to be opened. | [element-type utf8]
overwrite_channels | reset existing AgsInput |
create_channels | instantiate new AgsInput |

#### Returns

the new AgsOpenFile.

Since: 3.0.0

## Property Details

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned AgsAudio

Owner: AgsOpenFile

Flags: Read / Write

Since: 3.0.0

### The `“create-channels”` property

      “create-channels”          gboolean

As open files create AgsChannel.

Owner: AgsOpenFile

Flags: Read / Write

Default value: FALSE

Since: 3.0.0

### The `“filename”` property

      “filename”                 gpointer

The assigned GSList providing filename as string

[type GSList(utf8)]

Owner: AgsOpenFile

Flags: Read / Write

Since: 3.0.0

### The `“overwrite-channels”` property

      “overwrite-channels”       gboolean

As open files overwrite AgsChannel.

Owner: AgsOpenFile

Flags: Read / Write

Default value: FALSE

Since: 3.0.0